Package com.avaya.clientservices.call.feature

## Class EnhancedCallForwardingStatus

- java.lang.Object
- - com.avaya.clientservices.call.feature.EnhancedCallForwardingStatus

-     public class EnhancedCallForwardingStatus
      extends java.lang.Object

  The enhanced call forward feature status which has details for unconditional call forward, on busy call forward and no reply call forward.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EnhancedCallForwardingStatus​(java.lang.String ownerExtension, CallForwardingStatus busyCallForwardingStatus, CallForwardingStatus noReplyCallForwardingStatus, CallForwardingStatus unconditionalCallForwardingStatus)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `CallForwardingStatus` | `getBusyCallForwardingStatus()` | Returns busy call forwarding status.
    `CallForwardingStatus` | `getNoReplyCallForwardingStatus()` | Returns no reply call forwarding status.
    `CallForwardingStatus` | `getUnconditionalCallForwardingStatus()` | Returns the unconditional call forwarding status.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EnhancedCallForwardingStatus

          public EnhancedCallForwardingStatus​(java.lang.String ownerExtension,
                                              CallForwardingStatus busyCallForwardingStatus,
                                              CallForwardingStatus noReplyCallForwardingStatus,
                                              CallForwardingStatus unconditionalCallForwardingStatus)

  - ### Method Detail

    - #### getBusyCallForwardingStatus

          public CallForwardingStatus getBusyCallForwardingStatus()

      Returns busy call forwarding status.
      Returns:
        busy call forwarding status.

    - #### getNoReplyCallForwardingStatus

          public CallForwardingStatus getNoReplyCallForwardingStatus()

      Returns no reply call forwarding status.
      Returns:
        no reply call forwarding status.

    - #### getUnconditionalCallForwardingStatus

          public CallForwardingStatus getUnconditionalCallForwardingStatus()

      Returns the unconditional call forwarding status.
      Returns:
        the unconditional call forwarding status.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`